Subject: bug#8187: 24.0.50; Regression: TAB does not indent region

From: Gregor Zattler <[email-masked]>
Date: Sun, 06 Mar 2011 17:08:43 +0100

- Start Emacs (emacs -Q)
 - Set text-mode in the *scratch* buffer. (text-mode).
 - Select the first 3 lines.
 - Type <TAB>

What I was expecting:
 - The selected lines move to the next tab-stop.

What I see:
 - The selected lines are not not moved at all.

This works with emacs 23.2 but not with "GNU Emacs 24.0.50.1
(i486-pc-linux-gnu, GTK+ Version 2.20.1)  of 2011-02-25 on keller,
modified by Debian" 

I think, this is a regression.

[Bug report stolen from:
   From: Dani Moncayo <[email-masked]>
   Date: Sat, 5 Mar 2011 00:17:46 +0100
   Message-ID: <AANLkTikY9vi0EQf-g3HyUv=[email-masked]>
   To: [email-masked]
   Subject: Indenting paragraphs manually              
]

In GNU Emacs 24.0.50.1 (i486-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2011-02-25 on keller, modified by Debian
 (emacs-snapshot package, version 1:20110224-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10904000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.50/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-x=yes' '--with-x-toolkit=gtk' '--with-imagemagick=yes' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: de_DE.utf8
  value of $LC_CTYPE: de_DE.utf8
  value of $LC_MESSAGES: POSIX
  value of $LC_MONETARY: de_DE.utf8
  value of $LC_NUMERIC: de_DE.utf8
  value of $LC_TIME: de_DE.utf8
  value of $LANG: de_DE.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
M-x t e s <backspace> x t - m o d e <return> C-SPC 
<up> <up> <up> <up> <up> C-g C-g M-x t r a n s i e 
n <tab> <return> C-SPC <C-down> <tab> <up> <up> <up> 
<left> <left> <left> <left> C-SPC <C-down> <tab> <up> 
<up> <up> <up> <left> <left> <left> <left> C-SPC <C-down> 
C-x C-x <tab> C-_ M-x <up> <up> <return> C-SPC <down> 
<down> <down> <tab> <up> <up> <up> <left> <left> <left> 
C-SPC <down> <down> <down> <down> <tab> <up> <up> <up> 
<up> <up> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> M-x r e p o r t - e m a <tab> 
<return>

Recent messages:
Transient-Mark mode disabled
Mark set
call-interactively: Beginning of buffer
Mark activated
byte-code: Beginning of buffer
call-interactively: Beginning of buffer
Mark activated
Undo!
Mark set
Mark activated
byte-code: Beginning of buffer

Load-path shadows:
/usr/share/emacs/24.0.50/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/24.0.50/site-lisp/flim/hex-util hides /usr/share/emacs/24.0.50/lisp/hex-util
/usr/share/emacs/24.0.50/site-lisp/flim/sha1 hides /usr/share/emacs/24.0.50/lisp/sha1
/usr/share/emacs/24.0.50/site-lisp/flim/md4 hides /usr/share/emacs/24.0.50/lisp/md4
/usr/share/emacs/24.0.50/site-lisp/flim/sasl hides /usr/share/emacs/24.0.50/lisp/net/sasl
/usr/share/emacs/24.0.50/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.0.50/lisp/net/hmac-md5
/usr/share/emacs/24.0.50/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.0.50/lisp/net/sasl-ntlm
/usr/share/emacs/24.0.50/site-lisp/flim/ntlm hides /usr/share/emacs/24.0.50/lisp/net/ntlm
/usr/share/emacs/24.0.50/site-lisp/flim/hmac-def hides /usr/share/emacs/24.0.50/lisp/net/hmac-def
/usr/share/emacs/24.0.50/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.0.50/lisp/net/sasl-cram
/usr/share/emacs/24.0.50/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.0.50/lisp/net/sasl-digest
/usr/share/emacs/24.0.50/site-lisp/emms/tq hides /usr/share/emacs/24.0.50/lisp/emacs-lisp/tq

Features:
(shadow sort mail-extr message sendmail regexp-opt rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev mail-utils gmm-utils mailheader emacsbug url-util
url-parse auth-source eieio byte-opt bytecomp byte-compile assoc
gnus-util time-date password-cache url-vars mm-util mail-prsvr cus-start
cus-load tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
cus-face files text-properties overlay md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)